CVC4::UninterpretedConstantHashFunction Struct Reference

Hash function for the BitVector constants. More...

`#include <uninterpreted_constant.h>`

## Public Member Functions

size_t | operator() (const UninterpretedConstant &uc) const

## Detailed Description

Hash function for the BitVector constants.

Definition at line 78 of file uninterpreted_constant.h.

## Member Function Documentation

## operator()()

size_t CVC4::UninterpretedConstantHashFunction::operator() | ( | const UninterpretedConstant & | uc | ) | const

inline

Definition at line 79 of file uninterpreted_constant.h.

References CVC4::UninterpretedConstant::getIndex(), and CVC4::UninterpretedConstant::getType().

The documentation for this struct was generated from the following file:

- src/util/uninterpreted_constant.h